## l-smash-dmo 2.14.5

=== Makefile ===
# Makefile for L-SMASH

# note:
# Currently, this Makefile is not tested except GNU make.

include config.mak

vpath %.c $(SRCDIR)
vpath %.h $(SRCDIR)

OBJS = $(SRCS:%.c=%.o)

SRC_ALL = $(SRCS) $(SRC_TOOLS)

#### main rules ####

.PHONY: all lib install install-lib clean distclean dep depend

all: $(STATICLIB) $(SHAREDLIB) $(TOOLS)

lib: $(STATICLIB) $(SHAREDLIB)

$(STATICLIBNAME): $(OBJS)
	$(AR) rc $@ $^
	$(RANLIB) $@
	-@ $(if $(STRIP), $(STRIP) -x $@)

$(SHAREDLIBNAME): $(OBJS)
	$(LD) $(SO_LDFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
	-@ $(if $(STRIP), $(STRIP) -x $@)
ifneq ($(SLIB_CMD),)
	$(SLIB_CMD)
endif
ifeq ($(SHAREDLIBNAME), liblsmash.so.$(MAJVER))
	ln -sf $(SHAREDLIBNAME) liblsmash.so
endif

# $(TOOLS) is automatically generated as config.mak2 by configure.
# The reason for having config.mak2 is for making this Makefile easy to read.
include config.mak2

%.o: %.c .depend config.h
	$(CC) -c $(CFLAGS) -o $@ $<

install: all install-lib
	install -d $(DESTDIR)$(bindir)
	install -m 755 $(TOOLS) $(DESTDIR)$(bindir)

install-lib: liblsmash.pc lib
	install -d $(DESTDIR)$(includedir)
	install -m 644 $(SRCDIR)/lsmash.h $(DESTDIR)$(includedir)
	install -d $(DESTDIR)$(libdir)/pkgconfig
	install -m 644 liblsmash.pc $(DESTDIR)$(libdir)/pkgconfig
ifneq ($(STATICLIB),)
	install -m 644 $(STATICLIB) $(DESTDIR)$(libdir)
endif
ifneq ($(SHAREDLIB),)
ifneq ($(IMPLIB),)
	install -m 644 $(IMPLIB) $(DESTDIR)$(libdir)
	install -d $(DESTDIR)$(bindir)
	install -m 755 $(SHAREDLIB) $(DESTDIR)$(bindir)
ifneq ($(SLIB_CMD),)
	install -m 644 $(DEFNAME) $(DESTDIR)$(libdir)
	install -m 644 lsmash.lib $(DESTDIR)$(bindir)
endif
else
	install -m 644 $(SHAREDLIB) $(DESTDIR)$(libdir)
ifeq ($(SHAREDLIB), liblsmash.so.$(MAJVER))
	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/liblsmash.so
endif
endif
endif

#All objects should be deleted regardless of configure when uninstall/clean/distclean.
uninstall:
	$(RM) $(DESTDIR)$(includedir)/lsmash.h
	$(RM) $(addprefix $(DESTDIR)$(libdir)/, liblsmash.a liblsmash.dll.a liblsmash.so* liblsmash.dylib liblsmash*.def pkgconfig/liblsmash.pc)
	$(RM) $(addprefix $(DESTDIR)$(bindir)/, $(TOOLS_ALL) $(TOOLS_ALL:%=%.exe) liblsmash*.dll lsmash.lib cyglsmash.dll)

clean:
	$(RM) */*.o *.a *.so* *.def *.exp *.lib *.dll *.dylib $(addprefix cli/, *.exe $(TOOLS_ALL)) .depend

distclean: clean
	$(RM) config.* *.pc *.ver

dep: .depend

depend: .depend

ifneq ($(wildcard .depend),)
include .depend
endif

#The dependency of each source file is solved automatically by follows.
.depend: config.mak
	@$(RM) .depend
	@$(foreach SRC, $(SRC_ALL:%=$(SRCDIR)/%), $(CC) $(SRC) $(CFLAGS) -g0 -MT $(SRC:$(SRCDIR)/%.c=%.o) -MM >> .depend;)

liblsmash.pc:
	./configure

config.h:
	./configure

config.mak2:
	./configure

config.mak:
	./configure

=== debian/changelog ===
l-smash-dmo (2.14.5-dmo2) unstable; urgency=medium

  * Add Multi-Arch: same for liblsmash* packages

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 09:18:32 +0200

l-smash-dmo (2.14.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Feb 2018 09:52:31 +0100

l-smash-dmo (2.9.1-dmo3) unstable; urgency=medium

  * Rebuild with PIE.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 14:45:51 +0100

l-smash-dmo (2.9.1-dmo2) unstable; urgency=medium

  * Update upstream homepage address.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jan 2016 16:32:18 +0100

l-smash-dmo (2.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Aug 2015 16:07:01 +0200

l-smash-dmo (2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Nov 2014 19:54:55 +0100

l-smash-dmo (1.13.27-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Oct 2014 08:47:33 +0200

l-smash-dmo (1.13.26-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Oct 2014 16:42:15 +0200

l-smash-dmo (1.13.2-dmo2) unstable; urgency=medium

  * Add -dmo to upstream tarball name.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Aug 2014 01:45:53 +0200

l-smash (1.13.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Aug 2014 16:57:49 +0200

l-smash (1.13.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Aug 2014 08:49:02 +0200

l-smash (1.12.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Aug 2014 23:55:57 +0200

l-smash (1.12.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Aug 2014 21:08:41 +0200

l-smash (1.11.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2014 08:33:38 +0200

l-smash (1.11.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Jul 2014 22:24:37 +0200

l-smash (1.11.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 May 2014 15:43:32 +0200

l-smash (1.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 May 2014 09:27:24 +0200

l-smash (0.git20140427-dmo1) unstable; urgency=medium

  * New git snapshot c3996751c50d2bb9e253953fcc6d7d277b49a944

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2014 09:45:16 +0200

l-smash (0.git20140421-dmo1) unstable; urgency=medium

  * New git snapshot cf384e1df109db7f12b9a1314b75989e1b847c1b

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Apr 2014 09:08:37 +0200

l-smash (0.git20140420-dmo1) unstable; urgency=medium

  * New git snapshot 39eebf00ace7dbff58f1b78108f2fc4a67e3e608

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2014 09:43:10 +0200

l-smash (0.git20140327-dmo1) unstable; urgency=medium

  * New git snapshot 61fcd5e4850556709cb87300ac159a1f2fafd82d

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Mar 2014 11:54:41 +0100

l-smash (0.git20140319-dmo1) unstable; urgency=medium

  * New git snapshot e29f481a6f80a8dfe3cf05f2bf42c9cafb4d7e57

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Mar 2014 11:30:56 +0100

l-smash (0.git20140309-dmo1) unstable; urgency=medium

  * New git snapshot b049bfeffb3fb6cef01ef1ae741d515df41cd3fb

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Mar 2014 15:16:28 +0100

l-smash (0.git20140218-dmo1) unstable; urgency=medium

  * New git snapshot b5a2d08857d330116c132a9238d01bb37ff5bddd

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Feb 2014 20:29:49 +0100

l-smash (0.git20140127-dmo1) unstable; urgency=medium

  * New git snapshot fbb18d387d5c2a2d024f576a40f5e75978b207a4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jan 2014 17:56:41 +0100

l-smash (0.git20140118-dmo1) unstable; urgency=medium

  * New git snapshot e29fd955a94cabcc45b33668e200b11f5c5db340

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2014 16:09:16 +0100

l-smash (0.git20140111-dmo1) unstable; urgency=medium

  * New git snapshot 55a4589c4f3587a9ca30ab39309f0ba8e7da77a4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2014 16:23:54 +0100

l-smash (0.git20131211-dmo1) unstable; urgency=medium

  * New git snapshot ea2dc7645aa5d3ef6865cf2422d979c2e8e10606

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Dec 2013 17:54:37 +0100

l-smash (0.git20131113-dmo1) unstable; urgency=low

  * New git snapshot 1fbc7eef6b21347ff0fc8ae3431c88790746003b.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2013 10:21:27 +0100

l-smash (0.git20131031-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2013 08:09:32 +0100

=== debian/control ===
Source: l-smash-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/l-smash/l-smash
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12)

Package: liblsmash2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork
 Yet another opensource mp4 handler.
 .
 This package contains runtime files.

Package: liblsmash-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblsmash2 (= ${binary:Version}), ${misc:Depends}
Description: Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork
 Yet another opensource mp4 handler
 .
 This package contains development files.

Package: l-smash
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MP4 muxer and other tools
 This package contains various utilities :
 .
  o boxdumper - structural analyzer.
  o muxer - multiplexer.
  o remuxer - re-muliplexer.
  o timelineeditor - timeline editor.

=== debian/rules ===
#!/usr/bin/make -f

#
# See " grep LSMASH_VERSION_ lsmash.h " for soname number
#

LSMASH_VERSION_MAJOR=$(shell grep -m1 LSMASH_VERSION_MAJOR lsmash.h | awk '{printf "%1d", $$3}')
LSMASH_VERSION_MINOR=$(shell grep -m1 LSMASH_VERSION_MINOR lsmash.h | awk '{printf "%1d", $$3}')
LSMASH_VERSION_MICRO=$(shell grep -m1 LSMASH_VERSION_MICRO lsmash.h | awk '{printf "%1d", $$3}')

LSMASH_SONAME=$(LSMASH_VERSION_MAJOR).$(LSMASH_VERSION_MINOR).$(LSMASH_VERSION_MICRO)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-shared --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install

	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so.$(LSMASH_VERSION_MAJOR) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so.$(LSMASH_SONAME)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && ln -s liblsmash.so.$(LSMASH_SONAME) liblsmash.so.$(LSMASH_VERSION_MAJOR)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && ln -s liblsmash.so.$(LSMASH_SONAME) liblsmash.so

=== debian/watch ===
version=4

https://github.com/l-smash/l-smash/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
